<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>ProteoCache</title>
	<spring:url value="/images/favicon.ico" var="favicon" />
	<link rel="shortcut icon" href="${favicon}" />
	
	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
	<spring:url value="/js/jquery-1.10.2.js" var="jquery" />
	<!-- Twitter Bootstrap -->
	<spring:url value="/bootstrap-3.0.2/css/bootstrap.min.css" var="bootstrapcss" />
	<spring:url value="/bootstrap-3.0.2/js/bootstrap.js" var="bootstrapjs2" />
	<spring:url value="/bootstrap-3.0.2/js/bootstrap.min.js" var="bootstrapjs1" />
	<spring:url value="/js/modernizr.271.custom.js" var="modernizr" />
	<!-- dataTables -->
	<spring:url value="/datatables-1.9.4/media/js/jquery.dataTables.js" var="datatables" />
	<!-- internal necessities -->
	<spring:url value="/css/proteocache.css" var="internalcss" />
	<!-- dataTable & Boostrap integration -->
	<spring:url value="/css/DT_bootstrap.css" var="DTbootstrapCSS" />
	<spring:url value="/js/DT_bootstrap.js" var="DTbootstrapJS" />

	<script type="text/javascript" src="${jquery}"></script>
	<script type="text/javascript" src="${datatables}"></script>
	<link rel="stylesheet" type="text/css" href="${DTbootstrapCSS}" />
	<script type="text/javascript" src="${DTbootstrapJS}"></script>
	
	<link rel="stylesheet" type="text/css" href="${internalcss}" />
	<link rel="stylesheet" type="text/css" href="${bootstrapcss}" />
	<link rel="stylesheet" type="text/css" href="${jQueryUiCss}" />
	<script type="text/javascript" src="${bootstrapjs1}"></script>
	<script type="text/javascript" src="${modernizr}"></script>
	<script type="text/javascript" src="${table2CSVJS}"></script>

	<script type="application/javascript">
		$(document).ready(function() {
			$('#counts').dataTable(
				{
				"sPaginationType": "bootstrap",
				'aaSorting': [[0,'desc']],
				'aLengthMenu': [[20, 50, 100, -1], [20, 50, 100, 'All']],
				'iDisplayLength': 50
				}
			);
		} );
		$.extend( $.fn.dataTableExt.oStdClasses, {"sWrapper": "dataTables_wrapper form-inline"} );
	</script>

	<script type="application/javascript">
		function shorten(text, maxLength) {
			var ret = text;
			if (ret.length > maxLength) {
				ret = ret.substr(0,maxLength-3) + "...";
			}
			return ret;
		}
	</script>
</head>
